1. Technology

How to Install Drupal

By

1 of 9

Requirements to Install Drupal

Drupal will run on Linux, Unix, and Windows NT/2000. It may run on Mac OS X servers as well. Drupal authors recommend that you have:

  • Apache 1.3 or 2.x
  • MySQL 5.0 or higher
  • PHP 5.2 or higher

But it should run if you have:

  • Windows IIS6 with PHP
  • MySQL 4.1 or PostgreSQL 7.4 or higher
  • PHP 4.3.5

I recommend getting your server up to the recommended specifications before trying to install Drupal. This will insure that your Drupal website will run well once you've got it installed.

©2014 About.com. All rights reserved.